<script setup>
import { ref, reactive } from 'vue'

const editName = ref(false)
const on_turn = ref('Honza')
const player_1 = ref("Honza");
const player_2 = reactive({
  'name': "Tomas",
  'score': 0,
})

const flags = reactive([
  { show: false, url: "src/assets/flags/ALB.png" },
  { show: false, url: "src/assets/flags/AND.png" },
])


/*
setInterval(() => {
  player_2.score += 1
  console.log("tick", player_1, player_2)
}, 3000);
*/

function toggle(obj, prop) {
  console.log(obj)
  obj[prop] = !obj[prop]
  console.log(obj)
}

</script>

<template>
  <div class="container">
    <div class="row">
      <div class="col-sm-2 pexColumn">
        <h2 v-bind:class="on_turn == player_1 ? 'active' : 'wait'">{{ player_1 }}</h2>
      </div>
      <div class="col-sm-8 pexColumn">
        <div class="container">
          <div class="row">
            <div class="col">
              <img class="img-fluid" :src="flags[0].show ? flags[0].url : 'src/assets/flags/EU.png'"
                @click="toggle(flags[0], 'show')">
            </div>
            <div class="col">
              <img class="img-fluid" src="@/assets/flags/EU.png">
            </div>
          </div>
          <div class="row">
            <div class="col">
              <img class="img-fluid" src="@/assets/flags/EU.png">
            </div>
            <div class="col">
              <img class="img-fluid" src="@/assets/flags/EU.png">
            </div>
          </div>
        </div>
      </div>
      <div class="col-sm-2 pexColumn">
        <h2 :class="on_turn == player_2.name ? 'active' : 'wait'">{{ player_2.name }}</h2>
        <br>
        {{ player_2.score }}
      </div>
    </div>
    <div class="row">
      <div class="col">
        <input type="text" v-model="player_1" :disabled="editName">
        <input type="text" :value="player_2.name" @input="player_2.name = $event.target.value">
      </div>

    </div>
  </div>
</template>

<style scoped>
.pexColumn {
  border: 1px solid silver;

}

.active {
  color: green;
}

.wait {
  color: red;
}
</style>
